# Snek
![Snek icon, Miia from Mon Musu](assets/icon.jpg)

A "simple" Snake, done as my final JS class project

[Original subject](https://perso.liris.cnrs.fr/pierre-antoine.champin/enseignement/intro-js/s6.html)

## Dependencies
- All the POSIX tools, most importantly a POSIX-compliant shell, `echo`, `rm`, `seq` and `sed`
	- Busybox is known to work
	- GNU Coreutils are known to work
	- On Windows, WSL is known to work
- Imagemagick, with the `convert` tool in the PATH
- Make
- Node.js and npm, both in the PATH
	- Node.js 10 and 12 are known to work

## Running the game
- Clone this repository
- Install the npm dependencies (`npm install`)
- Generate the assets, stylesheets and scripts (`make`)
- Start the webserver (`npm start`)
- The server listens on port 3000 on all available addresses

